### Hierarchy

- unknown
  - GetDataResponse

## Index

### Constructors

- constructor

### Methods

- addDataSet
- addPersistableNetworkPayloadItems
- addSupportedCapabilities
- clearDataSetList
- clearPersistableNetworkPayloadItemsList
- clearSupportedCapabilitiesList
- getDataSetList
- getIsGetUpdatedDataResponse
- getPersistableNetworkPayloadItemsList
- getRequestNonce
- getSupportedCapabilitiesList
- serializeBinary
- setDataSetList
- setIsGetUpdatedDataResponse
- setPersistableNetworkPayloadItemsList
- setRequestNonce
- setSupportedCapabilitiesList
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new GetDataResponse(): GetDataResponse

- Inherited from jspb.Message.constructor

  #### Returns GetDataResponse

## Methods

### addDataSet

- addDataSet(value?: StorageEntryWrapper, index?: number): StorageEntryWrapper

- - Defined in src/protobuf/pb_pb.d.ts:415

  #### Parameters

  - ##### Optional value: StorageEntryWrapper

  - ##### Optional index: number

  #### Returns StorageEntryWrapper

### addPersistableNetworkPayloadItems

- addPersistableNetworkPayloadItems(value?: PersistableNetworkPayload, index?: number): PersistableNetworkPayload

- - Defined in src/protobuf/pb_pb.d.ts:425

  #### Parameters

  - ##### Optional value: PersistableNetworkPayload

  - ##### Optional index: number

  #### Returns PersistableNetworkPayload

### addSupportedCapabilities

- addSupportedCapabilities(value: number, index?: number): GetDataResponse

- - Defined in src/protobuf/pb_pb.d.ts:420

  #### Parameters

  - ##### value: number

  - ##### Optional index: number

  #### Returns GetDataResponse

### clearDataSetList

- clearDataSetList(): GetDataResponse

- - Defined in src/protobuf/pb_pb.d.ts:414

  #### Returns GetDataResponse

### clearPersistableNetworkPayloadItemsList

- clearPersistableNetworkPayloadItemsList(): GetDataResponse

- - Defined in src/protobuf/pb_pb.d.ts:424

  #### Returns GetDataResponse

### clearSupportedCapabilitiesList

- clearSupportedCapabilitiesList(): GetDataResponse

- - Defined in src/protobuf/pb_pb.d.ts:419

  #### Returns GetDataResponse

### getDataSetList

- getDataSetList(): StorageEntryWrapper []

- - Defined in src/protobuf/pb_pb.d.ts:412

  #### Returns StorageEntryWrapper []

### getIsGetUpdatedDataResponse

- getIsGetUpdatedDataResponse(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:409

  #### Returns boolean

### getPersistableNetworkPayloadItemsList

- getPersistableNetworkPayloadItemsList(): PersistableNetworkPayload []

- - Defined in src/protobuf/pb_pb.d.ts:422

  #### Returns PersistableNetworkPayload []

### getRequestNonce

- getRequestNonce(): number

- - Defined in src/protobuf/pb_pb.d.ts:406

  #### Returns number

### getSupportedCapabilitiesList

- getSupportedCapabilitiesList(): number[]

- - Defined in src/protobuf/pb_pb.d.ts:417

  #### Returns number[]

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:427

  #### Returns Uint8Array

### setDataSetList

- setDataSetList(value: StorageEntryWrapper []): GetDataResponse

- - Defined in src/protobuf/pb_pb.d.ts:413

  #### Parameters

  - ##### value: StorageEntryWrapper []

  #### Returns GetDataResponse

### setIsGetUpdatedDataResponse

- setIsGetUpdatedDataResponse(value: boolean): GetDataResponse

- - Defined in src/protobuf/pb_pb.d.ts:410

  #### Parameters

  - ##### value: boolean

  #### Returns GetDataResponse

### setPersistableNetworkPayloadItemsList

- setPersistableNetworkPayloadItemsList(value: PersistableNetworkPayload []): GetDataResponse

- - Defined in src/protobuf/pb_pb.d.ts:423

  #### Parameters

  - ##### value: PersistableNetworkPayload []

  #### Returns GetDataResponse

### setRequestNonce

- setRequestNonce(value: number): GetDataResponse

- - Defined in src/protobuf/pb_pb.d.ts:407

  #### Parameters

  - ##### value: number

  #### Returns GetDataResponse

### setSupportedCapabilitiesList

- setSupportedCapabilitiesList(value: number[]): GetDataResponse

- - Defined in src/protobuf/pb_pb.d.ts:418

  #### Parameters

  - ##### value: number[]

  #### Returns GetDataResponse

### toObject

- toObject(includeInstance?: boolean): GetDataResponse . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:428

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns GetDataResponse . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetDataResponse

- - Defined in src/protobuf/pb_pb.d.ts:431

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetDataResponse

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetDataResponse, reader: BinaryReader): GetDataResponse

- - Defined in src/protobuf/pb_pb.d.ts:432

  #### Parameters

  - ##### message: GetDataResponse

  - ##### reader: BinaryReader

  #### Returns GetDataResponse

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: GetDataResponse, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:430

  #### Parameters

  - ##### message: GetDataResponse

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: GetDataResponse ): GetDataResponse . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:429

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetDataResponse

  #### Returns GetDataResponse . AsObject

Generated using TypeDoc